<?php

/**
 * Třída pro zapozdření breadcrumbs do CMS
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_Breadcrumbs {

  /**
   * Kontejner pro breadcrumbs
   *
   * @var Zend_Navigation_Container
   */
  protected $_breadcrumbs = null;

  /**
   * Aktuální stránka v breadcrumbs
   *
   * @var Zend_Navigation_Page
   */
  protected $_current = null;

  /**
   * Konstruktor.
   */
  public function  __construct() {
    $this->_breadcrumbs = new Zend_Navigation();
  }

  /**
   * Přidá stránku do breadcrumbs
   *
   * @param array $options
   * @return void
   */
  public function addPage($options) {
    $page = Zend_Navigation_Page::factory($options);

    if (is_null($this->_current)) {
      $this->_breadcrumbs->addPage($page);
      $this->_current = $this->_breadcrumbs->current();
    } else {
      $this->_current->addPage($page);
      $this->_current = $this->_current->current();
    }
  }

  /**
   * Přidá stránky do breadcrumbs
   *
   * @param array $crumbs
   * @return void
   */
  public function addPages($crumbs) {
    if (!empty($crumbs)) {
      foreach ($crumbs as $options) {
        $this->addPage($options);
      }
    }
  }

  /**
   * Vrátí kontejner s breadcrumbs
   *
   * @return Zend_Navigation_Container
   */
  public function getBreadcrumbs() {
    return $this->_breadcrumbs;
  }

}
