<?php

require_once 'Zend/Controller/Action/Helper/Abstract.php';

/**
 * Třída pro zjištění uživatele z objektu
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@swebbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_Controller_Action_Helper_User extends Zend_Controller_Action_Helper_Abstract {

  /**
   * Vrátí uživatele dle klíče
   *
   * @param mixed $object  Objekt pro zjištění editujícího uživatele
   * @param string $key    Název sloupce zjišťovaného uživatele
   * @return System_Model_User|null
   */
  public function getUser($object, $key = 'id_user_creator') {
    if (is_object($object) && isset($object->$key) && is_numeric($object->$key)) {
      $modelUser = new System_Model_User();
      return $modelUser->getUserById($object->$key);
    }
    return null;
  }

  /**
   * Alias pro přímé volání z action
   *
   * @param mixed $object  Objekt pro zjištění editujícího uživatele
   * @param string $key    Název sloupce zjišťovaného uživatele
   * @return System_Model_User|null
   */
  public function direct($object, $key = 'id_user_creator') {
    return $this->getUser($object, $key);
  }

}
