<?php

/**
 * Třída pro práci s rewrity
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
abstract class Custom_Db_Table_Rewrite extends Custom_Db_Table_Abstract {

  /**
   * Instance třídy modelu pro rewrity
   *
   * @var System_Model_Rewrites
   */
  protected $_modelRewrites = null;

  /**
   * Název třídy řádku
   *
   * @var string
   */
  protected $_rowClass = 'Custom_Db_Table_Row_Rewrite';

  /**
   * Konstruktor
   *
   * @param  mixed $config  Pole konfiguračních možností specifikovaných uživatelem nebo jen Db adaptér.
   * @return void
   */
  public function __construct($config = array()) {
    $this->_modelRewrites = new System_Model_Rewrites();

    parent::__construct($config);

    $this->addReference('rewrite', array('rewrite'), 'System_Model_Rewrites', array('rewrite'), 'cascade');

    $rewriteDependent = $this->_modelRewrites->getDependentTables();
    $rewriteDependent += array(get_class($this));
    $this->_modelRewrites->setDependentTables($rewriteDependent);
  }

  /**
   * Vrátí model rewritů
   *
   * @return System_Model_Rewrites
   */
  public function getRewritesModel() {
    return $this->_modelRewrites;
  }

  /**
   * Vrátí objekt dle parametru $identifier, případně $language
   *
   * @param string $identifier
   * @param string $language
   * @return Custom_Db_Table_Row_Rewrite
   */
  abstract public static function getObject($identifier, $language = null);

}
