<?php

/**
 * Třída rozhraní pro vyhledávání objektů
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
interface Custom_Search_Interface {

  const INDEX_ACTION_UPDATE = 'update';
  const INDEX_ACTION_REMOVE = 'remove';

  /**
   * Vrátí dokumenty pro vyhledávání - zaindexování v Zend_Search_Lucene
   *
   * Příklad: $documents[] = array($key => $document), kde:
   *  - $key => konstanta (INDEX_ACTION_UPDATE, INDEX_ACTION_REMOVE
   *  - $document => instance Zend_Search_Lucene_Document
   *
   * @return array  Pole s akcemi a daty
   */
  public function getDocuments();

  /**
   * Vrátí url adresu
   *
   * @return string
   * @access public
   */
  public function getUrl();

}
