<?php

/**
 * Abstraktní třída pro sitemap
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
abstract class Custom_Sitemap {

  /**
   * Kontejner pro stránky
   *
   * @var Zend_Navigation_Container
   */
  protected $_container = null;

  /**
   * Vytvoří objekt a přiřadí nový objekt navigace
   *
   * @return void
   */
  public function  __construct() {
    $this->_container = new Zend_Navigation();
    $this->init();
  }

  /**
   * Metoda po vytvoření objektu konstruktorem
   *
   * @return void
   */
  public function init() {
  }

  /**
   * Přidá nové vlastnosti do navigace
   *
   * @param array $options
   * @return Custom_Sitemap
   */
  public function addPage($options) {
    $page = Zend_Navigation_Page::factory($options);
    $this->_container->addPage($page);

    return $this;
  }

  /**
   * Vrátí navigační kontejner
   *
   * @return Zend_Navigation
   */
  public function getContainer() {
    return $this->_container;
  }

}
