<?php

/**
 * Třída validátor pro unikátní email v systému
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_Validate_UniqueEmail extends Zend_Validate_Abstract {

  const EMAIL_EXISTS = 'emailExists';

  /**
   * Šablony pro chybové hlášky
   *
   * @var array
   */
  protected $_messageTemplates = array(
    self::EMAIL_EXISTS => 'Email "%value%" již v systému existuje',
  );

  /**
   * Otestuje unikatnost emailu
   *
   * @param string $value
   * @param array $context
   * @return boolean
   */
  public function isValid($value, $context = null) {
    $value = (string) $value;
    $this->_setValue($value);

    $modelUsers = new System_Model_Users();
    $current = isset($context['id_user'])
             ? $modelUsers->getUserById($context['id_user'])
             : null;

    $user = $modelUsers->getUserByEmail($value, $current);
    if ($user === null) {
      return true;
    }

    $this->_error(self::EMAIL_EXISTS);

    return false;
  }

}
