<?php

/**
 * Třída pro ověření uživatele
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_Validate_ValidUser extends Zend_Validate_Abstract {

  const INVALID_USER = 'invalidUser';

  /**
   * Šablony pro chybové hlášky
   *
   * @var array
   */
  protected $_messageTemplates = array(
    self::INVALID_USER => 'Uživatele se nepodařilo ověřit'
  );

  /**
   * Ověří uživatele
   *
   * @param string $value
   * @param array $context
   * @return boolean
   */
  public function isValid($value, $context = null) {
    $value = (string) $value;
    $this->_setValue($value);

    if (!is_object($this->_getUser($value))) {
      $this->_error(self::INVALID_USER);
      return false;
    }

    return true;
  }

  /**
   * Zjistí, zdali existuje uživatel s daným heslem
   *
   * @param string $password
   * @return System_Model_User|null
   */
  protected function _getUser($password) {
    $auth = Zend_Auth::getInstance();
    if ($auth->hasIdentity()) {
      $modelUsers = new System_Model_Users();
      $username = $auth->getIdentity()->user_name;

      return $modelUsers->userExists($username, $password);
    }

    return null;
  }

}
