<?php

/**
 * Třída helperu pro formátování data
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Date extends Zend_View_Helper_Abstract {

  /**
   * Zformátuje datum $date dle $part
   *
   * @param string $part
   * @param mixed $date
   * @return string
   */
  public function date($part = null, $date = null) {
    $pattern = null;
    if (is_string($date)) {
      if (preg_match('/^(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})$/', $date)) {
        $pattern = 'yyyy-MM-dd HH:mm:ss';
      }
      if (preg_match('/^(\d{4})-(\d{2})-(\d{2})$/', $date)) {
        $pattern = 'yyyy-MM-dd';
      }
      if (preg_match('/^(\d{2}):(\d{2}):(\d{2})$/', $date)) {
        $pattern = 'HH:mm:ss';
      }
    }

    $dt = new Zend_Date($date, $pattern);
    return $dt->get($part);
  }

}
