<?php

/**
 * Třída helperu pro zobrazení odkazu na soubor ke stažení
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_File extends Zend_View_Helper_Abstract {

  /**
   * Připraví a vrátí odkaz na soubor ke stažení
   *
   * @param System_Model_File $file  Objekt souboru
   * @param boolean $icon  Zobrazit i ikonku souboru
   * @param integer $size  Velikost ikonky
   * @return string  HTML odkaz
   */
  public function file(System_Model_File $file, $icon = false, $size = 16) {
    $href = $this->view->simpleUrl('download', 'file', 'system', array('key' => $file->file_key));
    $caption = $this->view->escape($file->file_name);

    if (false !== $icon) {
      $ext = $file->getExtension();
      $class = " icon-extension-{$ext}-{$size}";
    }

    return '<a href="'.$href.'" class="file-link'.$class.'">'.$caption.'</a>';
  }

}
