<?php

/**
 * Třída helperu pro formátování velikosti souboru
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_FileSize extends Zend_View_Helper_Abstract {

  /**
   * Zformátuje velikost souboru
   *
   * @param integer $size
   * @param string $format
   * @param integer $precision
   * @return string
   */
  public function fileSize($size, $format = '', $precision = 2) {
    $sizes = array(
      'TB' => 1099511627776,
      'GB' => 1073741824,
      'MB' => 1048576,
      'KB' => 1024,
      'B'  => 1
    );

    foreach ($sizes as $unit => $bytes) {
      if ($size > $bytes || $unit == strtoupper($format)) {
        return $this->view->number($size / $bytes, $precision).' '.$unit;
      }
    }

    return $size.' B';
  }

}
