<?php

/**
 * Třída helperu pro zobrazení náhledu obrázku
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Image extends Zend_View_Helper_Abstract {
  /**
   * Připraví a vrátí náhled na obrázek
   *
   * @param System_Model_File $file  Objekt souboru
   * @param string $alt  Alternativní popis obrázku
   * @param string $size  Velikost zobrazení
   * @param string $style  Styl obrázku
   * @return string  Výstup náhledu obrázku v HTML
   */
  public function image(System_Model_File $file, $alt = '', $size = null, $style = null) {
    if (!$file->isImage()) {
      return '';
    }

    if ((null === $size) || !in_array($size, System_Model_File::$IMAGE_SIZES)) {
      $size = System_Model_File::IMAGE_SIZE_MINI;
    }

    if (!file_exists(dirname(THEME_PATH).$file->{$size})) {
      $file->resizeImage();
    }

    $style = (null === $style) ? '' : ' style="'.$style.'"';

    $endTag = ' />';
    if (($this->view instanceof Zend_View_Abstract) && !$this->view->doctype()->isXhtml()) {
      $endTag= '>';
    }

    return '<img src="'.$file->{$size}.'" alt="'.$alt.'"'.$style.$endTag;
  }

}
