<?php

/**
 * Třída helperu k oescapování znaků v javascriptu
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Javascript extends Zend_View_Helper_Abstract {

  /**
   * Náhrada znaků
   *
   * @var array
   */
  protected static $_replacement = array(
    '\\' => '\\\\',
    "'"  => "\\'",
    '"'  => '\\"',
    "\r" => '\\r',
    "\n" => '\\n',
    '</' => '<\/'
  );

  /**
   * Upraví řetezec pro javascript
   *
   * @param string $string
   * @return string
   */
  public function javascript($string = '') {
    return strtr($string, self::$_replacement);
  }

}
