<?php

/**
 * Třída helperu pro zobrazení desetinného čísla v lokálním nastavení
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Number extends Zend_View_Helper_Abstract {

  /**
   * Vrátí desetinné číslo v lokálním nastavení
   *
   * @param float $value        Desetinné číslo pro převod
   * @param integer $precision  Počet čísel za des. oddělovačem (výchozí NULL)
   * @return string             Desetinné číslo v lokálním formátu
   */
  public function number($value, $precision = null) {
    $options = array('locale' => Zend_Registry::get('Zend_Locale'));
    if (is_numeric($precision)) {
      $options['precision'] = $precision;
    }
    return Zend_Locale_Format::toFloat($value, $options);
  }

}
