<?php

/**
 * Třída helperu pro rychlé vrácení objektu
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Object extends Zend_View_Helper_Abstract {

  /**
   * Vrátí objekt na základě třídy $className a identiikátoru $idObject
   *
   * @param string $className
   * @param mixed $idObject
   * @return mixed
   */
  public function object($className, $idObject) {
    $cache = Zend_Registry::isRegistered('Custom_Cache') ? Zend_Registry::get('Custom_Cache') : null;
    $key = md5(serialize(func_get_args()));
    $class = new $className();

    $result = false;
    if (is_object($class) && (!is_object($cache) || (($result = $cache->load($key)) === false))) {
      $result = call_user_func_array(array($class, 'find'), $idObject)->current();
      if (is_object($cache)) {
        $cache->save($result, $key);
      }
    }

    return $result;
  }

}
