<?php

/**
 * Třída helperu pro inteligentní zkrácení řetezce
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_Truncate extends Zend_View_Helper_Abstract {

  /**
   * Zkrátí řetězec
   *
   * @param string $string
   * @param integer $length
   * @param string $etc
   * @param boolean $breakWords
   * @param boolean $middle
   * @return string
   */
  public function truncate($string, $length = 80, $etc = '…', $breakWords = false, $middle = false) {
    if ($length == 0) {
      return '';
    }
    if (strlen($string) > $length) {
      $length -= min($length, strlen($etc));
      if (!$breakWords && !$middle) {
        $string = preg_replace('/\s+?(\S+)?$/', '', substr($string, 0, $length + 1));
      }
      if (!$middle) {
        return substr($string, 0, $length).$etc;
      } else {
        return substr($string, 0, $length / 2).$etc.substr($string, -$length / 2);
      }
    } else {
      return $string;
    }
  }

}
