<?php

/**
 * Třída kontroleru pro zobrazení chyb
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_ErrorController extends Custom_Controller_Front_Action {

  /**
   * Výchozí akce kontroleru
   */
  public function errorAction() {
    $errors = $this->_getParam('error_handler');

    switch ($errors->type) {
      case Custom_Controller_Plugin_ErrorHandler::EXCEPTION_ACCESS_DENIED:
        $this->getResponse()->setHttpResponseCode(403);
        $this->view->message = $this->view->translate('System_Error_Access_Denied');
        break;
      case Custom_Controller_Plugin_ErrorHandler::EXCEPTION_NOT_FOUND:
        $this->getResponse()->setHttpResponseCode(401);
        $this->view->message = $this->view->translate('System_Error_Object_Not_Found');
        break;
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
        $this->getResponse()->setHttpResponseCode(404);
        $this->view->message = $this->view->translate('System_Error_Page_Not_Found');
        break;
    }

    $this->view->exception = $errors->exception;
    $this->view->request = $errors->request;
  }

}
