<?php

/**
 * Třída kontroleru pro soubory
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_FileController extends Zend_Controller_Action {

  /**
   * Akce pro stažení souboru
   */
  public function downloadAction() {
    $modelFile = new System_Model_Files();

    $file = null;
    if (is_numeric($id_file = $this->_getParam('id'))) {
      $file = $modelFile->getFileById($id_file);
    }
    if (is_string($key = $this->_getParam('key'))) {
      $file = $modelFile->getFileByKey($key);
    }
    if (is_object($file) && $file->is_visible) {
      $file->addDownload();

      $response = $this->getResponse();
      $response->setHeader('Content-Type', $file->file_type, true);
      $response->setHeader('Content-Length', $file->file_size, true);
      $response->setHeader('Content-Transfer-Encoding', 'binary', true);
      $response->setHeader('Content-Disposition', 'attachment; filename="'.stripslashes($file->file_name).'"', true);
      $response->setHeader('Cache-Control', 'no-cache, must-revalidate, post-check=0, pre-check=0', true);
      $response->setHeader('Pragma', 'public');
      $response->setHeader('Expires', gmdate('r', strtotime('-1 month')), true);
      $response->sendHeaders();

      Custom_Tools::output($file->real_path);
      exit;
    }

    $this->_redirect('/');
  }

  /**
   * Akce pro zobrazení obrázku
   */
  public function imageAction() {
    $modelFile = new System_Model_Files();

    $file = null;
    if (is_numeric($id_file = $this->_getParam('id'))) {
      $file = $modelFile->getFileById($id_file);
    }
    if (is_string($key = $this->_getParam('key'))) {
      $file = $modelFile->getFileByKey($key);
    }
    if (is_object($file) && $file->is_visible && $file->isImage()) {
      $file->sendImage($this->_getParam('size'));
    }

    $this->_redirect();
  }

  /**
   * Vrátí prázdný obrázek
   */
  public function emptyAction() {
    $empty = System_Model_Image::EMPTY_GIF;
    $image = System_Model_Image::fromString($empty);
    $image->send(IMAGETYPE_GIF);
    exit;
  }

  /**
   * Přesměruje na danou adresu
   */
  protected function _redirect($url = null, array $options = array()) {
    if (null === $url) {
      $url = $this->getHelper('Url')->simple('empty', 'file');
    }
    parent::_redirect($url, $options);
  }

}
