<?php

/**
 * Třída kontroleru pro galerii
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_GalleryController extends Custom_Controller_Gallery_Action {

  /**
   * Model pro objekty
   *
   * @var Files_Model_Objects
   */
  protected $_modelObjects = null;

  /**
   * Inicializace objektu
   *
   * @return void
   */
  public function init() {
    parent::init();

    $this->_modelObjects = new System_Model_Objects();
  }

  /**
   * Výchozí akce pro zobrazení náhledů
   */
  public function indexAction() {
    $this->view->key = $this->getRequest()->getServer('QUERY_STRING');
    if (is_string($rewrite = $this->_getParam('rewrite')) &&
        is_object($object = $this->_modelObjects->getObjectByRewrite($rewrite)) &&
        $object->isGallery() && $object->is_visible) {
      $this->view->object = $object;
    }
  }

}
