<?php

/**
 * Výchozí kontroler systému
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2011
 */
class System_IndexController extends Custom_Controller_Front_Action {

  /**
   * Výchozí akce
   */
  public function indexAction() {
    $modelArticles = new System_Model_Articles();
    if ($modelArticles->getCount()) {
      $first = $modelArticles->getFirstArticle();
      $this->_forward('index', 'article', null, array('rewrite' => $first->rewrite));
    }
  }

  /**
   * Přesměruje dynamický obsah na korektní URL
   *
   * @throws Exception
   */
  public function dynamicAction() {
    if ($this->_auth->hasIdentity()) {
      $content = '[['.$this->_getParam('content', '').']]';
      $info = System_Model_Dynamic::info($content);
      if (isset($info['controller']) && isset($info['action'])) {
        return $this->_forward($info['action'], $info['controller'], 'system', isset($info['params']) ? $info['params'] : null);
      }
    }

    $message = $this->view->translate('System_Common_Not_Allowed');
    $this->view->message = array('error' => $message);
  }

}
