<?php

/**
 * Třída kontroleru pro jazyky
 *
 * @package    system
 * @author     Bc. Petr Jajtner, <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_LanguageController extends Zend_Controller_Action {

  /**
   * Výchozí akce, která nastaví locale a přesměruje zpět
   */
  public function indexAction() {
    $languages = System_Model_Settings::getValue('languages', array('cs' => 'čeština'));

    $session = new Zend_Session_Namespace('init-locale');
    $locale = $session->locale;

    $language = $this->_getParam('locale');
    if (!array_key_exists($language, $languages)) {
      list($language, $country) = explode('_', $locale);
    }
    if (is_object($found = System_Model_Texts::search($language))) {
      $locale = strtolower($found->language).'_'.strtoupper($found->country);
    }
    if (is_string($locale) && Zend_Locale::isLocale($locale)) {
      $session->locale = $locale;
    }

    $referer = $this->getRequest()->getServer('HTTP_REFERER', '/');
    $path = parse_url($referer, PHP_URL_PATH);
    $file = Custom_Tools::parseRequest($path, Custom_Tools::REQUEST_FILE);
    $rewrite = System_Model_Rewrites::get($file);

    if ($path && $file && ($path != $file) && is_object($rewrite) &&
        is_object($object = $rewrite->getRewrittenObject($language))) {
      $referer = $object->getUrl();
    }

    $this->_redirect($referer);
  }

}
