<?php

/**
 * Kontroler pro přihlášení
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_LoginController extends Custom_Controller_Front_Action {

  /**
   * Výchozí akce kontroleru
   */
  public function indexAction() {
    $type = $this->_getParam('type', 'database');
    $commonUrl = $this->getHelper('Url')->simple('index', 'login', 'system');

    $messages = null;
    $this->view->form = System_Model_Log::in($commonUrl, $commonUrl, $messages, $type);
    $this->view->messages = $messages;

    if (!isset($this->view->messages) || empty($this->view->messages)) {
      $this->view->messages = $this->getHelper('FlashMessenger')->getMessages();
    }
  }
  
  /**
   * Akce pro přihlášení z inline formuláře
   */
  public function inlineAction() {
    $messages = null;
    
    $commonUrl = $this->getHelper('Url')->simple('inline', 'login', 'system');
    $this->view->form = System_Model_Log::in($commonUrl, $commonUrl, $messages);    
    $this->view->form->removeElement('permanent');  
    $this->view->form->removeElement('forgotten');
    
    $this->view->messages = $messages;
    if (!isset($this->view->messages) || empty($this->view->messages)) {
      $this->view->messages = $this->getHelper('FlashMessenger')->getMessages();
    }
    
    $this->view->logged = Zend_Auth::getInstance()->hasIdentity();
    $this->_layout->disableLayout();
  }

}
