<?php

/**
 * Třída kontroleru pro reindexaci objektů
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
class System_ReindexController extends Custom_Controller_Admin_Action {

  /**
   * Inicializace objektu
   *
   * @return void
   */
  public function init() {
    parent::init();

    if (!$this->_auth->hasIdentity()) {
      $this->_redirect($this->getHelper('Url')->simple('index', 'admin'));
    }

    $this->view->title = $this->view->translate(__CLASS__);
    $page = array(
      'label'      => $this->view->title,
      'title'      => $this->view->title,
      'controller' => $this->getRequest()->getControllerName(),
      'action'     => 'index'
    );
    $this->_breadcrumbs->addPage($page);
  }

  /**
   * Akce pro zobrazení přehledu
   */
  public function indexAction() {
    $this->view->messages = $this->getHelper('FlashMessenger')->getMessages();
    $this->view->terms = is_object($model = new System_Model_Search()) ? $model->getTerms() : array();
  }

  /**
   * Vlastní akce pro přegenerování indexu
   */
  public function rebuildAction() {
    $modelSearch = new System_Model_Search();
    $result = $modelSearch->rebuild();

    $message = ($result)
             ? array('info' => $this->view->translate('System_Reindex_Success'))
             : array('error' => $this->view->translate('System_Reindex_Failed'));
    $this->getHelper('FlashMessenger')->addMessage($message);

    $this->_redirect($this->getHelper('Url')->simple('index'));
  }

}
