<?php

/**
 * Třída kontroleru pro vyhledávání
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
class System_SearchController extends Custom_Controller_Front_Action {

  /**
   * Výchozí akce
   */
  public function indexAction() {
    $formSearch = new System_Form_Search();
    if ($formSearch->isValid($this->_getAllParams())) {
      $q = $formSearch->getValue('q');

      $modelSearch = new System_Model_Search();
      $this->view->q = $q;
      $this->view->hits = $modelSearch->search($q);
    } else {
      $this->view->errors = $formSearch->getMessages();
    }
  }

  /**
   * Akce pro vrácení dostupných termínů pro vyhledávání
   */
  public function termsAction() {
    $modelSearch = new System_Model_Search();
    $data = $modelSearch->getTerms($this->_getParam('term', ''));
    $this->getHelper('Json')->sendJson($data);
  }

}
