<?php

/**
 * Třída kontroleru pro Sitemap
 *
 * @package    system
 * @author     Bc. Petr Jajtner, <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_SitemapController extends Zend_Controller_Action {

  /**
   * Akce pro výpis odkazů
   */
  public function indexAction() {
    $navigation = new Zend_Navigation();

    $modelSitemap = new System_Model_Sitemap();
    if ($modelSitemap instanceof Custom_Sitemap) {
      $navigation->addPages($modelSitemap->getContainer());
    }

    $sitemap = $this->view->navigation($navigation)->sitemap();
    $content = $sitemap->setFormatOutput(true);

    $response = $this->getResponse();
    $response->setHeader('Content-type', 'text/xml; charset=utf-8');
    $response->setBody($content);
    $response->sendResponse();
    exit;
  }

  /**
   * Akce pro výpis robots.txt
   */
  public function robotsAction() {
    $serverUrl = $this->view->serverUrl();
    $content = "User-agent: *\r\nSitemap: {$serverUrl}/sitemap.xml\r\n";

    $response = $this->getResponse();
    $response->setHeader('Content-type', 'text/plain; charset=utf-8');
    $response->setBody($content);
    $response->sendResponse();
    exit;
  }

}
