<?php

/**
 * Třída formuláře pro autorizaci
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_Form_Authenticate extends Custom_Form {

  /**
   * Inicializace formuláře
   *
   * @return void
   */
  public function init() {
    $this->setMethod('post');
    $this->setAttrib('id', 'authenticate-form');

    // - data -
    $password = $this->createElement('password', 'password');
    $password->setLabel('System_Form_Authenticate_Password');
    $password->setRequired(true);
    $password->setValidators(array(
      array('stringLength', true, array(4)),
      'ValidUser'
    ));
    $this->addElement($password);

    // - tlačítka -
    $submit = $this->createElement('submit', 'submit');
    $submit->setLabel('System_Common_Submit');
    $submit->setDecorators(array('ViewHelper'));
    $this->addElement($submit);

    $cancel = $this->createElement('button', 'cancel');
    $cancel->setLabel('System_Common_Cancel');
    $cancel->setDecorators(array('ViewHelper'));
    $this->addElement($cancel);

    // - skryté -
    $id = $this->createElement('hidden', 'id');
    $id->setDecorators(array('ViewHelper'));
    $this->addElement($id);

    $mod = $this->createElement('hidden', 'mod');
    $mod->setDecorators(array('ViewHelper'));
    $this->addElement($mod);

    $con = $this->createElement('hidden', 'con');
    $con->setDecorators(array('ViewHelper'));
    $this->addElement($con);

    $act = $this->createElement('hidden', 'act');
    $act->setDecorators(array('ViewHelper'));
    $this->addElement($act);

    $elements = array('submit', 'cancel', 'id', 'mod', 'con', 'act');
    $this->addDisplayGroup($elements, 'submits');
  }

  /**
   * Načte výchozí dekorátory a nastaví nové vlastnosti
   *
   * @return System_Form_Authenticate
   */
  public function loadDefaultDecorators() {
    parent::loadDefaultDecorators();

    $submits = $this->getDisplayGroup('submits');
    $submits->removeDecorator('Fieldset');
    $submits->removeDecorator('HtmlTag');
    $submits->getDecorator('DtDdWrapper')->setOption('dtLabel', '');

    return $this;
  }

}
