<?php

/**
 * Třída formuláře TinyMCE pluginu pro nastavení kontaktního formuláře
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
class System_Form_ContactForm extends Custom_Form {

  /**
   * Nastavení dekorátoru formuláře
   *
   * @var array
   */
  protected $_formDecorator = array(
    array('ViewScript', array('viewScript' => 'forms/contact-form.phtml')),
  );

  /**
   * Inicializace formuláře
   *
   * @return void
   */
  public function init() {
    $recipients = $this->createElement('text', 'recipients');
    $recipients->setLabel('System_Form_ContactForm_Recipients');
    $recipients->setDescription('System_Form_ContactForm_Separator');
    $this->addElement($recipients);
  }

  /**
   * Načte výchozí dekorátory a nastaví nové vlastnosti
   *
   * @return System_Form_ContactForm
   */
  public function loadDefaultDecorators() {
    parent::loadDefaultDecorators();

    return $this->setDecorators($this->_formDecorator);
  }

}
