<?php

/**
 * Třída továrny na formuláře pro objekty správce souborů
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2013
 */
class System_Form_Object {

  /**
   * Metoda pro výběr formuláře
   *
   * @param string $type  Typ formuláře
   * @param mixed $options  Parametry formuláře
   * @return System_Form_Abstract  Instance vybraného formuláře
   */
  public static function factory($type, $options = null) {
    switch ($type) {
      case System_Model_Object::SYSTEM_OBJECT_FOLDER:
        return new System_Form_Folder($options);
      case System_Model_Object::SYSTEM_OBJECT_FILE:
        return new System_Form_File($options);
    }
    return null;
  }

}
