<?php

/**
 * Třída formuláře pro obnovu hesla
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2011
 */
class System_Form_Renew extends Zend_Form {

  /**
   * Inicializace formuláře
   *
   * @return void
   */
  public function init() {
    $this->setMethod('post');
    $this->setAttrib('id', 'renew-form');

    // - data -
    $email = $this->createElement('text', 'email');
    $email->setLabel('System_Form_Renew_YourEmail');
    $email->setRequired(true);
    $email->setFilters(array('StripTags', 'StringTrim'));
    $email->setValidators(array('EmailAddress'));
    $this->addElement($email);

    // - tlačítka -
    $submit = $this->createElement('submit', 'submit');
    $submit->setLabel('System_Common_Send');
    $submit->setDecorators(array('ViewHelper'));
    $this->addElement($submit);

    $cancel = $this->createElement('button', 'cancel');
    $cancel->setLabel('System_Common_Cancel');
    $cancel->setDecorators(array('ViewHelper'));
    $this->addElement($cancel);

    $this->addDisplayGroup(array('submit', 'cancel'), 'submits');
  }

  /**
   * Načte výchozí dekorátory a nastaví nové vlastnosti
   *
   * @return System_Form_Renew
   */
  public function loadDefaultDecorators() {
    parent::loadDefaultDecorators();

    $submits = $this->getDisplayGroup('submits');
    $submits->removeDecorator('Fieldset');
    $submits->removeDecorator('HtmlTag');
    $submits->getDecorator('DtDdWrapper')->setOption('dtLabel', '');

    return $this;
  }

}
