<?php

/**
 * Třída formuláře pro vyhledávání ve článcích nebo souborech
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_Form_Search extends Zend_Form {

  /**
   * Nastavení dekorátoru formuláře
   *
   * @var array
   */
  protected $_formDecorator = array(
    array('ViewScript', array('viewScript' => 'forms/search.phtml')),
    'Form'
  );

  /**
   * Inicializace formuláře
   *
   * @return void
   */
  public function init() {
    $this->setAttrib('id', 'search-form');
    $this->setMethod('get');
    $this->setAction($this->getView()->simpleUrl('index', 'search'));

    $query = $this->createElement('text', 'q', array());
    $query->setRequired(false);
    $query->setAttribs(array(
      'class' => 'text',
      'list'  => 'qdl'
    ));
    $query->setFilters(array('StripTags', 'StringTrim'));
    $query->setValidators(array(
      'NotEmpty',
      array('StringLength', true, array(2, 256))
    ));
    $query->setDecorators(array('ViewHelper'));
    $this->addElement($query);

    $submit = $this->createElement('submit', 's');
    $submit->setLabel('System_Form_Search_Search');
    $submit->setAttrib('class', 'submit');
    $submit->setDecorators(array('ViewHelper'));
    $this->addElement($submit);
  }

  /**
   * Načte výchozí dekorátory a nastaví nové vlastnosti
   *
   * @return System_Form_Search
   */
  public function loadDefaultDecorators() {
    parent::loadDefaultDecorators();
    return $this->setDecorators($this->_formDecorator);
  }

}
