<?php

/**
 * Třída pro práci s řádkem databázové tabulky webbia_rewrites
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_Model_Rewrite extends Zend_Db_Table_Row_Abstract {

  /**
   * Název třídy objektu Zend_Db_Table_Abstract
   *
   * @var string
   */
  protected $_tableClass = 'System_Model_Rewrites';

  /**
   * Vrátí přepisovaný objekt
   *
   * @return Zend_Db_Table_Row
   */
  public function getRewrittenObject($language = null) {
    if (null === $language) {
      $language = $this->language;
    }

    $row = null;
    $modelName = 'System_Model_'.ucfirst(strtolower($this->object));
    if (class_exists($modelName)) {
      $row = new $modelName();
    }
    if (is_object($row) && is_object($table = $row->getTable())) {
      return $table->get($this->rewrite, $language);
    }

    return null;
  }

  /**
   * Umožní aplikovat změnu řádku před vložením.
   *
   * @return void
   */
  protected function _insert() {
    $this->date_insert = date('Y-m-d H:i:s');
  }

}
