<?php

/**
 * Třída sitemapy pro články
 *
 * @package    system
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class System_Model_Sitemap extends Custom_Sitemap {

  /**
   * Metoda po vytvoření objektu konstruktorem
   *
   * @return void
   */
  public function init() {
    $urlList = array(); // Pole pro unikátní URI

    $view = new Zend_View();
    $serverUrl = $view->serverUrl();

    $modelArticles = new System_Model_Articles();
    $articles = $modelArticles->fetchAll('is_visible = 1', 'article_order ASC');
    foreach ($articles as $article) {
      $page = array(
        'label'   => $article->caption,
        'title'   => $article->caption,
        'uri'     => $serverUrl.'/'.$article->getUrl(),
        'lastmod' => (null !== $article->date_change) ? $article->date_change : $article->date_create
      );
      if (!in_array($page['uri'], $urlList)) {
        $urlList[] = $page['uri'];
        $this->addPage($page);
      }
    }

    $modelObjects = new System_Model_Objects();
    $objects = $modelObjects->fetchAll('is_visible = 1', 'object_order ASC');
    foreach ($objects as $object) {
      $page = array(
        'label'   => $object->caption,
        'title'   => $object->caption,
        'uri'     => $serverUrl.'/'.$object->getUrl(),
        'lastmod' => (null !== $object->date_change) ? $object->date_change : $object->date_create
      );
      if (!in_array($page['uri'], $urlList)) {
        $urlList[] = $page['uri'];
        $this->addPage($page);
      }
    }
  }

}
