/**
 * Dialog pro procházení soubory a články
 *
 * @type {Object}
 */
var BrowserDialog = {

  /**
   * Poslední vybraná třída
   *
   * @type String
   */
  lastClass: '',

  /**
   * Inicializace dialogu
   *
   * @returns {Void}
   */
  init: function () {
    var win = tinyMCEPopup.getWindowArg('window');
    var isImageDialog = ('undefined' !== typeof win.ImageDialog) || ('undefined' !== typeof win.PerexImg);
    var isMedia = ('undefined' !== typeof win.Media);

    if (!isImageDialog && !isMedia) {
      if ($('#classlist', win.document).length) {
        BrowserDialog.lastClass = $('#classlist', win.document).val();
      }

      var input = tinyMCEPopup.getWindowArg('input');
      var value = decodeURI(win.document.getElementById(input).value);

      var urls = [];
      $('input[name="list"]').each(function (index, elm) {
        urls[urls.length] = $(elm).attr('value');
      });
      if (-1 < $.inArray(value, urls)) {
        mcTabs.displayTab('articles_tab','articles_panel');
        $('input[name="list"][value="' + value + '"]').attr('checked', 'checked');
      }
    } else {
      tinyMCEPopup.dom.remove(tinyMCEPopup.dom.select('li#articles_tab'));
      tinyMCEPopup.dom.remove(tinyMCEPopup.dom.select('div#articles_panel'));
    }
  },

  /**
   * Potvrdí dialog
   *
   * @returns {Void}
   */
  submit: function () {
    var win = tinyMCEPopup.getWindowArg('window');
    var input = tinyMCEPopup.getWindowArg('input');

    var tab = $('div ul li.current');
    if ('articles_tab' === tab.attr('id')) {
      var URL = $('input[name="list"]:checked').val();
      win.document.getElementById(input).value = '/' + URL;
    }

    if ('files_tab' === tab.attr('id')) {
      var URL = $('#url').val();
      win.document.getElementById(input).value = '/' + URL;
      if (win.ImageDialog) {
        win.document.getElementById('width').value = '';
        win.document.getElementById('height').value = '';
        if (win.ImageDialog.getImageData) {
            win.ImageDialog.getImageData();
        }
        if (win.ImageDialog.showPreviewImage) {
            win.ImageDialog.showPreviewImage(URL);
        }
      }

      if (win.Media) {
        var type = URL.split('#')[1];
        if (type === '.folder') {
          win.document.getElementById('media_type').value = 'iframe';
          win.document.getElementById('constrain').checked = false;
          win.document.getElementById('width').value = '480';
          win.document.getElementById('height').value = '360';
          win.document.getElementById(input).value = '/' + URL.split('#')[0];
        }
        win.Media.formToData('type');
      }

      if (!win.ImageDialog && !win.Media && !win.PerexImg) { // -> LinkDialog
        var classList = $('#classlist', win.document);
        if (classList.length) {
          var URL = $('#url').val();
          if (URL.match(/gallery/)) {
            classList.val('gallery');
          } else {
            if ('gallery' === BrowserDialog.lastClass) {
              BrowserDialog.lastClass = '';
            }
            classList.val(BrowserDialog.lastClass);
          }
        }
      }
    }

    while (win.parent && !win.Webbia) {
      win = win.parent;
    }
    win.Webbia._doCloseDialog(false);

    tinyMCEPopup.close();
  },

  /**
   * Uzavře dialog
   *
   * @returns {Void}
   */
  close: function () {
    var win = tinyMCEPopup.getWindowArg('window');
    while (win.parent && !win.Webbia) {
      win = win.parent;
    }
    win.Webbia._doCloseDialog(true);
    tinyMCEPopup.close();
  },

  /**
   * Otestuje, zdali je vybrán dialog „Vložit/upravit odkaz“
   *
   * @returns {Boolean}
   */
  isFileLink: function () {
    var win = tinyMCEPopup.getWindowArg('window');
    var tab = $('div ul li.current');
    if ('articles_tab' === tab.attr('id')) {
      return false;
    }
    return (!win.ImageDialog && !win.Media && !win.PerexImg);
  }
};

tinyMCEPopup.onInit.add(BrowserDialog.init, BrowserDialog);
