<?php

/**
 * Třída helperu pro jednoduchou URL adresu
 *
 * @package    Custom
 * @author     Bc. Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Bc. Petr Jajtner, Webbia Standard © 2012
 */
class Custom_View_Helper_SimpleUrl extends Zend_View_Helper_Abstract {

  /**
   * Vytvoří URL na základě výchozí routy
   *
   * @param string $action
   * @param string $controller
   * @param string $module
   * @param array $params
   * @return string
   */
  public function simpleUrl($action, $controller = null, $module = null, array $params = null) {
    $front = Zend_Controller_Front::getInstance();
    $request = $front->getRequest();

    if ($controller === null) {
      $controller = $request->getControllerName();
    }

    if ($module === null) {
      $module = $request->getModuleName();
    }

    $url = ($controller === 'index' && $action === 'index') ? '' : $controller . '/' . $action;

    if ($module != $front->getDispatcher()->getDefaultModule()) {
      $url = $module . '/' . $url;
    }

    if (($baseUrl = $front->getBaseUrl()) !== '') {
      $url = $baseUrl . '/' . $url;
    }

    if ($params !== null) {
      $paramPairs = array();
      foreach ($params as $key => $value) {
        $paramPairs[] = urlencode($key) . '/' . urlencode($value);
      }
      $paramString = implode('/', $paramPairs);
      $url .= '/' . $paramString;
    }

    $url = '/' . ltrim($url, '/');

    return $url;
  }

}
